curl --request POST \
--url 'https://api.plyne.ai/v1/monitor/accounts' \
--header 'Authorization: Bearer plyne_...' \
--header 'Content-Type: application/json' \
--data '{
"signals": ["d8signaldefinitionid"],
"statuses": ["detected"],
"cursor": { "limit": 50 }
}'
{
"data": [
{
"id": "d8companyid",
"name": "Current Electric",
"domain": "currentelectric.com",
"profile": {
"platform": "linkedin",
"url": "https://linkedin.com/company/current-electric"
},
"country_code": "US",
"monitoring": {
"id": "d8trackedentityid",
"created_at": "2026-06-10T12:00:00Z"
},
"score": {
"value": 84,
"fit": "high",
"reasoning": "Strong account movement based on recent detected signals."
},
"latest_signal": {
"id": "d8signalid",
"definition_id": "d8signaldefinitionid",
"name": "Tech stack migration",
"status": "detected",
"score": 88,
"summary": "Moved to ServiceTitan.",
"observed_at": "2026-06-15T08:00:00Z"
}
}
],
"cursor": {
"next": "",
"has_more": false
}
}
POST /v1/monitor/accounts
Authorizations
Authorizationstringheaderrequired
Bearer authentication header of the form Bearer <token>, where <token> is your API key.
Body
account_idsstring[]
Return specific monitored accounts by company ID. Omit this field to return all monitored accounts.
signalsstring[]
Filter accounts by Custom Signal definition IDs.
statusesstring[]
Filter by latest account signal status.
Example: [“detected”]
latest_activityobject
Restrict accounts by their latest monitored activity. Results use the dashboard’s fixed Monitored priority order.
cursor.limitinteger
Number of monitored accounts to return. Maximum value is 100.
cursor.afterstring
Opaque cursor returned as cursor.next from the previous response.